/**
 *
 * Egyszer plda a gtest keretrendszer hasznlatra.
 *
 * --gtest_output=xml indtsi argumentummal indtva az 
 * eredmny xml fjlba is rdik
 * 
 */
#include <gtest/gtest.h>
#include <vector>

// Ezt a kt vektort vizsgljuk
std::vector<int>  v1(3, 1), v2(3, 2);

// MeretVizsgalata teszt
// @param 1. - teszteset neve
// @param 2. - teszt neve
// Fontos, hogy a testeset nevben s a teszt nevben nem lehet alhzs
TEST(VektorTeszt, MeretVizsgalata) {
    ASSERT_EQ((int)v1.size(), (int)v2.size()) << "A mret is szmt!";      // lehet hozzfzni a kirsnl
} 

// Ugyanannak a tesztesetnek egy msik tesztje
TEST(VektorTeszt, ElemekVizsgalata) {
    for (unsigned int i = 0; i < v1.size(); i++)
        EXPECT_EQ(v1[i], v2[i]);
}

// Ha nincs main, automatikusan hozzszerkesztdik, 
// ami meghvja az sszes tesztesetet
